package jp.mosp.common.vo;

import jp.mosp.common.CommonConst;
import jp.mosp.common.common.MospException;

public class MosPMenuGuideVo extends MosPVo {

	private static final long serialVersionUID = -7765659615461284319L;

	// URL
	private static final String RETURN_URL = "/jsp/common/menuGuide.jsp";
	private static final String EXTRA_JS   = "/pub/common/js/menuGuide.js";
	private static final String EXTRA_CSS  = "/pub/common/css/menuGuide.css";

	// 画面サブタイトル	
	public final String TTL_MOSP_MENU_GUIDE = CommonConst.TTL_MOSP_MENU_GUIDE;


	// 定数
	public static final int MODE_IMPOSSIBLE 		= 0;
	public static final int MODE_POSSIBLE 		= 1;

	// フィールド
	public String[][] aryMenuGuide ;

	/**
	 * コンストラクタ
	 */
	public MosPMenuGuideVo() {
		super();
		setRetUrl(RETURN_URL);
		setExtraCss(EXTRA_CSS);
		addExtraJs(EXTRA_JS);
		aryMenuGuide = new String[0][0];
	}

	/**
	 * フィールド設定
	 * @param String[][] 
	 * @throws MospException
	 */
	public void setFields(String [][] aryMenuGuide) throws MospException {
		this.aryMenuGuide = escapeArray(aryMenuGuide.clone());
	}

	/**
	 * JavaScript設定
	 * @param cls 情報取得クラス
	 * @throws IllegalAccessException
	 */
	@Override
	public String getDirectJs(Class cls) throws IllegalAccessException {
		StringBuffer sb = new StringBuffer();
		sb.append(super.getDirectJs(cls));
		return sb.toString();
	}

	public String[][]	getEscAryMenuGuide	() { return aryMenuGuide.clone()	; }

}
